-- Test amenity_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(31);

set search_path to camper, public;

select has_table('amenity_i18n');
select has_pk('amenity_i18n');
select col_is_pk('amenity_i18n', array['amenity_id', 'lang_tag']);
select table_privs_are('amenity_i18n', 'guest', array['SELECT']);
select table_privs_are('amenity_i18n', 'employee', array['SELECT']);
select table_privs_are('amenity_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('amenity_i18n', 'authenticator', array[]::text[]);

select has_column('amenity_i18n', 'amenity_id');
select col_is_fk('amenity_i18n', 'amenity_id');
select fk_ok('amenity_i18n', 'amenity_id', 'amenity', 'amenity_id');
select col_type_is('amenity_i18n', 'amenity_id', 'integer');
select col_not_null('amenity_i18n', 'amenity_id');
select col_hasnt_default('amenity_i18n', 'amenity_id');

select has_column('amenity_i18n', 'lang_tag');
select col_is_fk('amenity_i18n', 'lang_tag');
select fk_ok('amenity_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('amenity_i18n', 'lang_tag', 'text');
select col_not_null('amenity_i18n', 'lang_tag');
select col_hasnt_default('amenity_i18n', 'lang_tag');

select has_column('amenity_i18n', 'name');
select col_type_is('amenity_i18n', 'name', 'text');
select col_is_null('amenity_i18n', 'name');
select col_hasnt_default('amenity_i18n', 'name');

select has_column('amenity_i18n', 'info1');
select col_type_is('amenity_i18n', 'info1', 'xml');
select col_is_null('amenity_i18n', 'info1');
select col_hasnt_default('amenity_i18n', 'info1');

select has_column('amenity_i18n', 'info2');
select col_type_is('amenity_i18n', 'info2', 'xml');
select col_is_null('amenity_i18n', 'info2');
select col_hasnt_default('amenity_i18n', 'info2');


select *
from finish();

rollback;

